#!/usr/bin/perl

use strict;

if ( @ARGV != 2 )
{
    print STDERR "searchGenome.pl <table> <assembly>";
    
    exit(0);
}

my ($fileTable, $asmTarget) = @ARGV;

open TABLE, $fileTable or die "$fileTable could not be opened.";

my $found;

while ( <TABLE> )
{
    chomp;
    my ($asm, @accs) = split /\t/;
    
    if ( $asm eq $asmTarget )
    {
        foreach my $acc ( @accs )
        {
            print "$acc\n";
        }
        
        $found = 1;
        last;
    }
}

close TABLE;


if ( ! $found )
{
    print STDERR "Warning: $asmTarget not in $fileTable.\n";
}
